Subject: How to check if a patch is applied, ejected or ignored?

From: [email-masked] (Jiandong Zheng)
Date: Mon, 7 May 2012 12:01:42 -0700

Hello,

Sorry if it is not the first time about such question. But I still get 
confused about if my patches are applied or just ignored.

For example, I didn't see much response about the following patches and 
I don't know how to check if they are already in a tree to be merged to 
Linus':
http://lists.infradead.org/pipermail/linux-arm-kernel/2012-May/097346.html
http://lists.infradead.org/pipermail/linux-arm-kernel/2012-May/097347.html
http://lists.infradead.org/pipermail/linux-arm-kernel/2012-May/097349.html
(BTW, a couple of them were sent multiple times before)

Previously I was told to use patch system once and for a couple of other 
times the patches were just got applied, and ignored patches happened 
more. I hope a clear procedure can be clarified so that we can work more 
efficiently.

Thanks,
JD